/*
 * generated by Xtext 2.19.0.M3
 */
package fr.irisa.cairn.graphviz.model.parser.antlr;

import com.google.inject.Inject;
import fr.irisa.cairn.graphviz.model.parser.antlr.internal.InternalDottyParser;
import fr.irisa.cairn.graphviz.model.services.DottyGrammarAccess;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;

public class DottyParser extends AbstractAntlrParser {

	@Inject
	private DottyGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalDottyParser createParser(XtextTokenStream stream) {
		return new InternalDottyParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "Graph";
	}

	public DottyGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(DottyGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
